Add campaign sequence
curl --request POST \
--url https://prod.leadvector.app/v1/campaigns/{uuid}/sequences \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"steps": [
{
"stepNumber": 1,
"delayDays": 3,
"variants": [
{
"label": "A",
"subjectTemplate": "Following up on our previous conversation",
"bodyTemplate": "Hi {{firstName}},\n\nJust checking in regarding my previous email...",
"isEnabled": true
}
]
}
]
}
'import requests
url = "https://prod.leadvector.app/v1/campaigns/{uuid}/sequences"
payload = { "steps": [
{
"stepNumber": 1,
"delayDays": 3,
"variants": [
{
"label": "A",
"subjectTemplate": "Following up on our previous conversation",
"bodyTemplate": "Hi {{firstName}},
Just checking in regarding my previous email...",
"isEnabled": True
}
]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
stepNumber: 1,
delayDays: 3,
variants: [
{
label: 'A',
subjectTemplate: 'Following up on our previous conversation',
bodyTemplate: 'Hi {{firstName}},\n\nJust checking in regarding my previous email...',
isEnabled: true
}
]
}
]
})
};
fetch('https://prod.leadvector.app/v1/campaigns/{uuid}/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/campaigns/{uuid}/sequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'steps' => [
[
'stepNumber' => 1,
'delayDays' => 3,
'variants' => [
[
'label' => 'A',
'subjectTemplate' => 'Following up on our previous conversation',
'bodyTemplate' => 'Hi {{firstName}},
Just checking in regarding my previous email...',
'isEnabled' => true
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/campaigns/{uuid}/sequences"
payload := strings.NewReader("{\n \"steps\": [\n {\n \"stepNumber\": 1,\n \"delayDays\": 3,\n \"variants\": [\n {\n \"label\": \"A\",\n \"subjectTemplate\": \"Following up on our previous conversation\",\n \"bodyTemplate\": \"Hi {{firstName}},\\n\\nJust checking in regarding my previous email...\",\n \"isEnabled\": true\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.leadvector.app/v1/campaigns/{uuid}/sequences")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"steps\": [\n {\n \"stepNumber\": 1,\n \"delayDays\": 3,\n \"variants\": [\n {\n \"label\": \"A\",\n \"subjectTemplate\": \"Following up on our previous conversation\",\n \"bodyTemplate\": \"Hi {{firstName}},\\n\\nJust checking in regarding my previous email...\",\n \"isEnabled\": true\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/campaigns/{uuid}/sequences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"steps\": [\n {\n \"stepNumber\": 1,\n \"delayDays\": 3,\n \"variants\": [\n {\n \"label\": \"A\",\n \"subjectTemplate\": \"Following up on our previous conversation\",\n \"bodyTemplate\": \"Hi {{firstName}},\\n\\nJust checking in regarding my previous email...\",\n \"isEnabled\": true\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Campaign sequence saved successfully",
"data": [
{
"stepNumber": 1,
"delayDays": 2,
"status": true,
"variants": [
{
"label": "A",
"subjectTemplate": "Quick question, {{firstName}}",
"bodyTemplate": "Hi {{firstName}}, …",
"isEnabled": true,
"status": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Campaigns
Add campaign sequence
Adds sequence data to a campaign belonging to the authenticated API-key user.
POST
/
v1
/
campaigns
/
{uuid}
/
sequences
Add campaign sequence
curl --request POST \
--url https://prod.leadvector.app/v1/campaigns/{uuid}/sequences \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"steps": [
{
"stepNumber": 1,
"delayDays": 3,
"variants": [
{
"label": "A",
"subjectTemplate": "Following up on our previous conversation",
"bodyTemplate": "Hi {{firstName}},\n\nJust checking in regarding my previous email...",
"isEnabled": true
}
]
}
]
}
'import requests
url = "https://prod.leadvector.app/v1/campaigns/{uuid}/sequences"
payload = { "steps": [
{
"stepNumber": 1,
"delayDays": 3,
"variants": [
{
"label": "A",
"subjectTemplate": "Following up on our previous conversation",
"bodyTemplate": "Hi {{firstName}},
Just checking in regarding my previous email...",
"isEnabled": True
}
]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
steps: [
{
stepNumber: 1,
delayDays: 3,
variants: [
{
label: 'A',
subjectTemplate: 'Following up on our previous conversation',
bodyTemplate: 'Hi {{firstName}},\n\nJust checking in regarding my previous email...',
isEnabled: true
}
]
}
]
})
};
fetch('https://prod.leadvector.app/v1/campaigns/{uuid}/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/campaigns/{uuid}/sequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'steps' => [
[
'stepNumber' => 1,
'delayDays' => 3,
'variants' => [
[
'label' => 'A',
'subjectTemplate' => 'Following up on our previous conversation',
'bodyTemplate' => 'Hi {{firstName}},
Just checking in regarding my previous email...',
'isEnabled' => true
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/campaigns/{uuid}/sequences"
payload := strings.NewReader("{\n \"steps\": [\n {\n \"stepNumber\": 1,\n \"delayDays\": 3,\n \"variants\": [\n {\n \"label\": \"A\",\n \"subjectTemplate\": \"Following up on our previous conversation\",\n \"bodyTemplate\": \"Hi {{firstName}},\\n\\nJust checking in regarding my previous email...\",\n \"isEnabled\": true\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.leadvector.app/v1/campaigns/{uuid}/sequences")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"steps\": [\n {\n \"stepNumber\": 1,\n \"delayDays\": 3,\n \"variants\": [\n {\n \"label\": \"A\",\n \"subjectTemplate\": \"Following up on our previous conversation\",\n \"bodyTemplate\": \"Hi {{firstName}},\\n\\nJust checking in regarding my previous email...\",\n \"isEnabled\": true\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/campaigns/{uuid}/sequences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"steps\": [\n {\n \"stepNumber\": 1,\n \"delayDays\": 3,\n \"variants\": [\n {\n \"label\": \"A\",\n \"subjectTemplate\": \"Following up on our previous conversation\",\n \"bodyTemplate\": \"Hi {{firstName}},\\n\\nJust checking in regarding my previous email...\",\n \"isEnabled\": true\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Campaign sequence saved successfully",
"data": [
{
"stepNumber": 1,
"delayDays": 2,
"status": true,
"variants": [
{
"label": "A",
"subjectTemplate": "Quick question, {{firstName}}",
"bodyTemplate": "Hi {{firstName}}, …",
"isEnabled": true,
"status": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Path Parameters
Campaign UUID
Example:
"019e8eb2-a04a-76a8-8aed-37178d5786f5"
Body
application/json
Ordered list of campaign sequence steps
Minimum array length:
1Show child attributes
Show child attributes